module hybrid.FontRenderer;

private {
	import hybrid.Texture : Texture;
	import maths.Vec : vec2, vec4;
}



enum BlendingMode {
	Alpha,
	Subpixel,
	None
}


interface FontRenderer {
	void enableTexturing(Texture tex);
	void blendingMode(BlendingMode);
	void setTC(vec2 tc);
	void color(vec4 col);
	void absoluteQuadPoint(vec2 pt);
}
